From 4efbd5c81cfb9071757e446d57957aa81e9d9374 Mon Sep 17 00:00:00 2001
From: James Le Cuirot <chewi@gentoo.org>
Date: Thu, 15 Mar 2018 22:25:19 +0000
Subject: [PATCH] build: Don't require glslang if not building layers

---
 CMakeLists.txt | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 713a9cdfd3..c9f73ce965 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -350,6 +350,10 @@ macro(run_external_revision_generate source_dir symbol_name output)
 endmacro()
 
 # Custom target for generated vulkan helper file dependencies
+set(generate_helper_files_DEPENDS)
+if(BUILD_LAYERS)
+    LIST(APPEND generate_helper_files_DEPENDS spirv_tools_commit_id.h)
+endif()
 add_custom_target(generate_helper_files DEPENDS
     vk_enum_string_helper.h
     vk_safe_struct.h
@@ -359,7 +363,7 @@ add_custom_target(generate_helper_files DEPENDS
     vk_dispatch_table_helper.h
     vk_extension_helper.h
     vk_typemap_helper.h
-    spirv_tools_commit_id.h
+    ${generate_helper_files_DEPENDS}
     )
 set_target_properties(generate_helper_files PROPERTIES FOLDER ${LVL_TARGET_FOLDER})
 
@@ -372,7 +376,9 @@ run_vk_xml_generate(helper_file_generator.py vk_enum_string_helper.h)
 run_vk_xml_generate(helper_file_generator.py vk_object_types.h)
 run_vk_xml_generate(helper_file_generator.py vk_extension_helper.h)
 run_vk_xml_generate(helper_file_generator.py vk_typemap_helper.h)
-run_external_revision_generate(${EXTERNAL_SOURCE_ROOT}/glslang/External/spirv-tools SPIRV_TOOLS_COMMIT_ID spirv_tools_commit_id.h)
+if(BUILD_LAYERS)
+    run_external_revision_generate(${EXTERNAL_SOURCE_ROOT}/glslang/External/spirv-tools SPIRV_TOOLS_COMMIT_ID spirv_tools_commit_id.h)
+endif()
 
 
 

